// IMPORT FROM PICCOLOX

package netmatch.piccolox;

import java.util.Map;

public class PNotification {
  protected String name;
  protected Object source;
  protected Map properties;

  public PNotification(String s, Object obj, Map map) {
    name = s;
    source = obj;
    properties = map;
  }

  public String getName() {
    return name;
  }

  public Object getObject() {
    return source;
  }

  public Object getProperty(Object obj) {
    if(properties != null)
      return properties.get(obj);
    else
      return null;
  }
}